Subject: [bug#64519] [PATCH] gnu: Add freetype-brotli.

From: John Kehayias <[email-masked]>
Date: Tue, 11 Jul 2023 16:19:31 +0000

Hi Ludo,

On Tue, Jul 11, 2023 at 03:51 PM, Ludovic Courtès wrote:

> Hi John,

[snip]

> Looks like the arguments and snippet are too different to be factorized
> via inheritance.  However, one could still inherit from the other to
> factorize license/synopsis/description?
>

Yes, thought of that afterwards and made that change locally now.

> Apart from this minor issue, LGTM!
>

I completely forgot there is another patch needed here, one to add freetype-brotli. That is just our freetype package with brotli added as a propagated-input for WOFF font support (if I recall). Attaching the patch now.

Actually I think our freetype package should do that as well, but since has nearly 18k dependents that should be grouped with other large changes. I brought this up on guix-devel [0] but didn't get any responses about this change. I think it is not controversial, just how to manage the rebuilds. Perhaps on the next mesa/related branch?

[0] <https://lists.gnu.org/r/guix-devel/2023-06/msg00113.html>

Thanks!
John
From f5622c12a84d208efefc53af88fe5f284485f2ff Mon Sep 17 00:00:00 2001
Message-Id: <f5622[email-masked]>
From: John Kehayias <[email-masked]>
Date: Fri, 7 Jul 2023 12:05:16 -0400
Subject: [PATCH] gnu: Add freetype-brotli.

* gnu/packages/fontutils.scm (freetype-brotli): New variable.
---
 gnu/packages/fontutils.scm | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 1b4e0064f4..ab81499dcb 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -16,6 +16,7 @@
 ;;; Copyright © 2021 Sarah Morgensen <[email-masked]>
 ;;; Copyright © 2022 Felipe Balbi <[email-masked]>
 ;;; Copyright © 2023 gemmaro <[email-masked]>
+;;; Copyright © 2023 John Kehayias <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -124,6 +125,14 @@ (define-public freetype
     (license license:freetype)          ; some files have other licenses
     (home-page "https://freetype.org/")))
 
+(define-public freetype-brotli
+  (package
+    (inherit freetype)
+    (name "freetype-brotli")
+    (propagated-inputs
+     (modify-inputs (package-propagated-inputs freetype)
+       (prepend brotli)))))
+
 (define-public opentype-sanitizer
   (package
     (name "opentype-sanitizer")

base-commit: 7179d09d0d9762e7463c053ea958832944801ab0
-- 
2.40.1